Bug 1167791 - Contextual Help not visible on Sugar
Summary: Contextual Help not visible on Sugar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 1167818 (view as bug list)
Depends On:
Blocks: F21FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-11-25 12:35 UTC by Gonzalo Odiard
Modified: 2014-12-02 03:03 UTC (History)
7 users (show)

Fixed In Version: sugar-0.102.0-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-02 03:03:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Gonzalo Odiard 2014-11-25 12:35:14 UTC
Description of problem:

The contextual help in Sugar environment, visible pressing
Alt-Shift-H, is not visible. No window is opened.

Version-Release number of selected component (if applicable):

Sugar 0.102

How reproducible:

Always

Steps to Reproduce:
1. Open Sugar
2. In the Home view, press Alt-Shift-H

Actual results:

Nothing happens

Expected results:

A window should be opened,displaying help content.

Additional info:

Sugar is trying create a symlink in a directory where don't have permission.
The error was already solve in Help activity version 14.
A patch to solve the issue is already available:

https://github.com/sugarlabs/sugar/pull/410.patch

Comment 1 Gonzalo Odiard 2014-11-25 12:41:11 UTC
A final note: the error is visible when the Help activity is installed using the rpm. If is installed using the .xo, is not a problem, because is installed in ~/Activities/ ad the user have permissions.

Comment 2 Peter Robinson 2014-11-25 12:59:36 UTC
So going through the current fixes to fix this and a few other bugs that affect F-21 GA for the live image I have:

sugar-0.102.0-5.fc21
sugar-toolkit-gtk3-0.102.0-4.fc21
sugar-speak-48-2.fc21
sugar-portfolio-45-1.fc21
sugar-physics-23-1.fc21
sugar-turtleart-209-1.fc21
sugar-pippy-62-1.fc21,sugar-help-18-1.fc21
sugar-read-114-1.fc21

Anything else missing?

Comment 3 Peter Robinson 2014-11-25 13:00:07 UTC
Try again... :-/

So going through the current fixes to fix this and a few other bugs that affect F-21 GA for the live image I have:

sugar-0.102.0-5.fc21
sugar-toolkit-gtk3-0.102.0-4.fc21
sugar-help-18-1.fc21
sugar-speak-48-2.fc21
sugar-portfolio-45-1.fc21
sugar-physics-23-1.fc21
sugar-turtleart-209-1.fc21
sugar-pippy-62-1.fc21
sugar-read-114-1.fc21

Anything else missing?

Comment 4 Fedora Blocker Bugs Application 2014-11-25 13:02:46 UTC
Proposed as a Freeze Exception for 21-final by Fedora user pbrobinson using the blocker tracking app because:

 Fixes for Activities in Sugar on a Stick that affect running on the Live Image so not possible to fix with a zero day update

Comment 5 Fedora Update System 2014-11-25 13:10:15 UTC
sugar-0.102.0-5.fc21,sugar-toolkit-gtk3-0.102.0-4.fc21,sugar-speak-48-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sugar-0.102.0-5.fc21,sugar-toolkit-gtk3-0.102.0-4.fc21,sugar-speak-48-2.fc21

Comment 6 Peter Robinson 2014-11-25 13:31:51 UTC
*** Bug 1167818 has been marked as a duplicate of this bug. ***

Comment 7 Peter Robinson 2014-11-25 15:31:03 UTC
The above requested packages are minimal risk for freeze as they're all Sugar specific

Comment 8 Fedora Update System 2014-11-25 21:25:43 UTC
Package sugar-0.102.0-5.fc21, sugar-toolkit-gtk3-0.102.0-4.fc21, sugar-speak-48-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sugar-0.102.0-5.fc21 sugar-toolkit-gtk3-0.102.0-4.fc21 sugar-speak-48-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15785/sugar-0.102.0-5.fc21,sugar-toolkit-gtk3-0.102.0-4.fc21,sugar-speak-48-2.fc21
then log in and leave karma (feedback).

Comment 9 Peter Robinson 2014-11-26 19:34:28 UTC
We also need

sugar-memorize-49-1.fc21

to fix a crasher

Comment 10 Peter Robinson 2014-11-26 19:37:11 UTC
So the latest list is:

sugar-0.102.0-5.fc21
sugar-toolkit-gtk3-0.102.0-4.fc21
sugar-help-18-1.fc21
sugar-speak-48-2.fc21
sugar-portfolio-45-1.fc21
sugar-physics-23-1.fc21
sugar-turtleart-209-1.fc21
sugar-pippy-62-1.fc21
sugar-read-114-1.fc21
sugar-memorize-49-1.fc21

Comment 11 Scott Suehle 2014-11-26 20:18:47 UTC
Discussed at today's blocker review meeting [1]. Accepted as a AcceptedFreezeException. Getting these fixes into Sugar would be considered during freeze.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-12/

Comment 12 Peter Robinson 2014-11-26 20:37:29 UTC
One more 

sugar-write-96-1.fc21

So last list:
sugar-0.102.0-5.fc21
sugar-toolkit-gtk3-0.102.0-4.fc21
sugar-help-18-1.fc21
sugar-speak-48-2.fc21
sugar-portfolio-45-1.fc21
sugar-physics-23-1.fc21
sugar-turtleart-209-1.fc21
sugar-pippy-62-1.fc21
sugar-read-114-1.fc21
sugar-memorize-49-1.fc21
sugar-write-96-1.fc21

Comment 13 Fedora Update System 2014-12-02 03:03:13 UTC
sugar-0.102.0-5.fc21, sugar-toolkit-gtk3-0.102.0-4.fc21, sugar-speak-48-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.